/*
 * PROJECT: Nachtblitz File Sharing Client
 * PROJECT-URL: http://echelon.i2p/nachtblitz/
 * LICENSE: GNU Affero General Public License, version 3 (AGPLv3)
 * FILE: Nachtblitz-1.4.27-src\Native\Memory.c
 * PURPOSE: Buffer examination and manipulation
 * VERSION: 1.4.27
 * DATE: March 23, 2016
 * COPYRIGHT: Copyright (C) 2012-2016 Stephan A. Rger
 *            (nachtblitz@i2pmail.org). All rights reserved.
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of version 3 - no other version - of the
 * GNU Affero General Public License as published by the Free
 * Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program (agpl-3.0.txt in the parent
 * directory). If not, see <http://www.gnu.org/licenses/>.
 *
 *         __           _     _   _     _ _ _         _  _  _
 *      /\ \ \__ _  ___| |__ | |_| |__ | (_) |_ ____ / || || |
 *     /  \/ / _` |/ __| '_ \| __| '_ \| | | __|_  / | || || |_
 *    / /\  / (_| | (__| | | | |_| |_) | | | |_ / /  | ||__   _|
 *    \_\ \/ \__,_|\___|_| |_|\__|_.__/|_|_|\__/___| |_(_) |_|
 *
 */

#include <memory.h>
#include <string.h>

#include "general.h"

EXPORT INT32 CALLCONV
memcmp_EXPORT(IN void const * const a_Ptr0,
              IN void const * const a_Ptr1,
              IN CPUWORD const a_Length)
{
    return memcmp(a_Ptr0, a_Ptr1, a_Length);
}

EXPORT void CALLCONV
memset_EXPORT(METAIN OUT void * const a_Ptr,
              IN INT32 const a_Value,
              IN CPUWORD const a_Length)
{
    memset(a_Ptr, a_Value, a_Length);
}

EXPORT void CALLCONV
memmove_EXPORT(METAIN OUT void * const a_DestPtr,
               IN void const * const a_SrcPtr,
               IN CPUWORD const a_Length)
{
    memmove(a_DestPtr, a_SrcPtr, a_Length);
}

EXPORT void CALLCONV
memcpy_EXPORT(METAIN OUT void * const a_DestPtr,
              IN void const * const a_SrcPtr,
              IN CPUWORD const a_Length)
{
    memcpy(a_DestPtr, a_SrcPtr, a_Length);
}

// End of file.
